=begin
#Platform external API.

#Documentation of our Platform external API.

OpenAPI spec version: 1.0.0

Generated by: https://github.com/swagger-api/swagger-codegen.git
Swagger Codegen version: 3.0.34
=end

require 'spec_helper'
require 'json'

# Unit tests for Shippo::RatesAtCheckoutApi
# Automatically generated by swagger-codegen (github.com/swagger-api/swagger-codegen)
# Please update as you see appropriate
describe 'RatesAtCheckoutApi' do
  before do
    # run before each test
    @instance = Shippo::RatesAtCheckoutApi.new
  end

  after do
    # run after each test
  end

  describe 'test an instance of RatesAtCheckoutApi' do
    it 'should create an instance of RatesAtCheckoutApi' do
      expect(@instance).to be_instance_of(Shippo::RatesAtCheckoutApi)
    end
  end

  # unit tests for rates_at_checkout_create
  # Generate a live rates request
  # Initiates a live rates request. Include either the object ID for an existing Address record or a fully formed Address object when entering an address value. You can also enter the object ID of an existing User Parcel Template or a fully formed User Parcel Template object as the parcel value.
  # @param [Hash] opts the optional parameters
  # @option opts [CreateLiveRateRequest] :body Generate rates at checkout
  # @return [CreateLiveRateResponse]
  describe 'rates_at_checkout_create test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for rates_at_checkout_default_parcel_delete
  # Clear current default parcel template
  # Clear the currently configured default parcel template for live rates.
  # @param [Hash] opts the optional parameters
  # @return [nil]
  describe 'rates_at_checkout_default_parcel_delete test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for rates_at_checkout_default_parcel_list
  # Show current default parcel template
  # Retrieve and display the currently configured default parcel template for live rates.
  # @param [Hash] opts the optional parameters
  # @return [GetLiveRateResponse]
  describe 'rates_at_checkout_default_parcel_list test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for rates_at_checkout_default_parcel_update
  # Update default parcel template
  # Update the currently configured default parcel template for live rates. The object_id in the request payload should identify the user parcel template to be the new default.
  # @param [Hash] opts the optional parameters
  # @option opts [DefaultParcelTemplate] :body Generate rates at checkout
  # @return [GetLiveRateResponse]
  describe 'rates_at_checkout_default_parcel_update test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

end
